Results 1 to 5 of 5

Thread: Simba for Linux?

  1. #1
    Join Date
    Feb 2018
    Posts
    1
    Mentioned
    0 Post(s)
    Quoted
    0 Post(s)

    Default Simba for Linux?

    Hello,

    I am new to botting with Simba. I was wondering, is Linux supported yet?
    Also, is it possible to run multiple bots at the same time with Simba, or does it take control of the system cursor?
    If I just want to run the scripts from the forum, do I need Simba, or do I just need S.M.A.R.T? -- What's the difference?

    Thanks for your help!

  2. #2
    Join Date
    Dec 2006
    Location
    Banville
    Posts
    3,914
    Mentioned
    12 Post(s)
    Quoted
    98 Post(s)

    Default

    Simba runs on Linux. Simba can run multiple bots at the same time using SMART or other addons that send synthetic events, but by default it will use your system input. To run a script you need Simba and any plugins it uses.

    If there is a script you want to run, let me know and I will try to generate the plugins you need if they do not exist. If you don't mind, I would like to also compile newer versions of Simba and have you test them with the plugins.

    There are updates to Simba that @Wizzup? needs to apply. I have lost track of all of the ad-hoc changes that have been made since the last release.
    The jealous temper of mankind, ever more disposed to censure than
    to praise the work of others, has constantly made the pursuit of new
    methods and systems no less perilous than the search after unknown
    lands and seas.

  3. #3
    Join Date
    Mar 2015
    Location
    United States
    Posts
    61
    Mentioned
    0 Post(s)
    Quoted
    24 Post(s)

    Default

    Hey sorry to bump a two month old thread, but I am currently looking for information about running Simba on linux as well. I get errors when trying to compile it for linux and have no found any information with regards to its use on linux.
    Does it only run through WINE, or can it actually be compiled to linux at the moment?

  4. #4
    Join Date
    Dec 2011
    Location
    East Coast, USA
    Posts
    4,216
    Mentioned
    112 Post(s)
    Quoted
    1861 Post(s)

    Default

    Quote Originally Posted by elephant View Post
    Hey sorry to bump a two month old thread, but I am currently looking for information about running Simba on linux as well. I get errors when trying to compile it for linux and have no found any information with regards to its use on linux.
    Does it only run through WINE, or can it actually be compiled to linux at the moment?
    Hey there! I've done some work with getting Simba compiled correctly on Linux in the past. It absolutely does work, both natively and inside Wine. The best resource I can link you to is "Step 0" of this document: https://gitlab.com/KeepBotting/SRi/blob/master/USAGE.md

    It's some instructions for running an include that was developed and run exclusively on Linux, so it covers compiling Simba. The section in question is a short blurb about getting Simba running, as well as links to some build instructions at https://villavu.com/forum/showthread...80#post1384080

    You should be able to compile Simba based on these instructions. If you're hitting a wall, quote or PM me with your exact error message and I'll try to troubleshoot, OR I'm sure @R0b0t1; or myself could shoot you a build if you run into additional issues.
    Last edited by KeepBotting; 04-02-2018 at 01:12 AM.
    GitLab projects | Simba 1.4 | Find me on IRC or Discord | ScapeRune scripts | Come play bot ScapeRune!

    <BenLand100> we're just in the transitional phase where society reclassifies guns as Badâ„¢ before everyone gets laser pistols

  5. #5
    Join Date
    Mar 2015
    Location
    United States
    Posts
    61
    Mentioned
    0 Post(s)
    Quoted
    24 Post(s)

    Default

    Quote Originally Posted by KeepBotting View Post
    Hey there! I've done some work with getting Simba compiled correctly on Linux in the past. It absolutely does work, both natively and inside Wine. The best resource I can link you to is "Step 0" of this document: https://gitlab.com/KeepBotting/SRi/blob/master/USAGE.md

    It's some instructions for running an include that was developed and run exclusively on Linux, so it covers compiling Simba. The section in question is a short blurb about getting Simba running, as well as links to some build instructions at https://villavu.com/forum/showthread...80#post1384080

    You should be able to compile Simba based on these instructions. If you're hitting a wall, quote or PM me with your exact error message and I'll try to troubleshoot, OR I'm sure @R0b0t1; or myself could shoot you a build if you run into additional issues.
    Thanks for the information! I was trying to compile it with Lazarus version 1.8, seems like older versions compile it properly. I'm going to try compiling it on an older version and see if I can get it working.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •